### Function

# GObject type_from_name

since: 2.0

#### Declaration

    GType
    g_type_from_name (
      const gchar* name
    )

#### Description

Look up the type ID from a given type name, returning 0 if no type has been registered under this name (this is the preferred method to find out by name whether a specific type has been registered yet).

Available since: 2.0

#### Parameters

`name`

  Type: `const gchar*`

  Type name to look up.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GType`

Corresponding type ID or 0